<?php

namespace Util\Instance;

use Util\Utilities;
use Teknisa\Model\Teknisa\Repositories as TeknisaRepositories;
use Teknisa\Model\Geral\Repositories as GeralRepositories;


class RepositoryInstance
{
    /** @return TeknisaRepositories\OmProdutoElemento */
    public static function getOmProdutoElemento()
    {
        return GeneralInstance::getEntityManager()->getRepository(Utilities::TEKNISA_ENTITY_NAMESPACE . 'OmProdutoElemento');
    }

    /** @return TeknisaRepositories\OmProdutoOrg */
    public static function getOmProdutoOrg()
    {
        return GeneralInstance::getEntityManager()->getRepository(Utilities::TEKNISA_ENTITY_NAMESPACE . 'OmProdutoOrg');
    }

    /** @return TeknisaRepositories\OmProduto */
    public static function getOmProduto()
    {
        return GeneralInstance::getEntityManager()->getRepository(Utilities::TEKNISA_ENTITY_NAMESPACE . 'OmProduto');
    }

    /** @return TeknisaRepositories\OmProdutoColetor */
    public static function getOmProdutoColetor()
    {
        return GeneralInstance::getEntityManager()->getRepository(Utilities::TEKNISA_ENTITY_NAMESPACE . 'OmProdutoColetor');
    }

    /** @return TeknisaRepositories\OmProdutoOrgColetor */
    public static function getOmProdutoOrgColetor()
    {
        return GeneralInstance::getEntityManager()->getRepository(Utilities::TEKNISA_ENTITY_NAMESPACE . 'OmProdutoOrgColetor');
    }
    
    /** @return TeknisaRepositories\OmProdutoRepositorio */
    public static function getOmProdutoRepositorio()
    {
        return GeneralInstance::getEntityManager()->getRepository(Utilities::TEKNISA_ENTITY_NAMESPACE . 'OmProdutoRepositorio');
    }

    /** @return TeknisaRepositories\OmConfigMedidaVariavel */
    public static function getOmConfigMedidaVariavel()
    {
        return GeneralInstance::getEntityManager()->getRepository(Utilities::TEKNISA_ENTITY_NAMESPACE . 'OmConfigMedidaVariavel');
    }

    /** @return GeralRepositories\Organizacao */
    public static function getOrganizacao()
    {
        return GeneralInstance::getEntityManager()->getRepository(Utilities::GENERAL_ENTITY_NAMESPACE . 'Organizacao');
    }

    /** @return GeralRepositories\Paramsenha */
    public static function getParamsenha()
    {
        return GeneralInstance::getEntityManager()->getRepository(Utilities::GENERAL_ENTITY_NAMESPACE . 'Paramsenha');
    }

    /** @return GeralRepositories\Controlsenha */
    public static function getControlsenha()
    {
        return GeneralInstance::getEntityManager()->getRepository(Utilities::GENERAL_ENTITY_NAMESPACE . 'Controlsenha');
    }

    /** @return GeralRepositories\Paramgeral */
    public static function getParamgeral()
    {
        return GeneralInstance::getEntityManager()->getRepository(Utilities::GENERAL_ENTITY_NAMESPACE . 'Paramgeral');
    }

    /** @return GeralRepositories\Filial */
    public static function getFilial()
    {
        return GeneralInstance::getEntityManager()->getRepository(Utilities::GENERAL_ENTITY_NAMESPACE . 'Filial');
    }

    /** @return TeknisaRepositories\OmParamOrg */
    public static function getOmParamOrg()
    {
        return GeneralInstance::getEntityManager()->getRepository(Utilities::TEKNISA_ENTITY_NAMESPACE . 'OmParamOrg');
    }

    /** @return TeknisaRepositories\OmParamOrgDefault */
    public static function getOmParamOrgDefault()
    {
        return GeneralInstance::getEntityManager()->getRepository(Utilities::TEKNISA_ENTITY_NAMESPACE . 'OmParamOrgDefault');
    }

    /** @return GeralRepositories\Operador */
    public static function getOperador()
    {
        return GeneralInstance::getEntityManager()->getRepository(Utilities::GENERAL_ENTITY_NAMESPACE . 'Operador');
    }
}